1

I have both Mist and Geth installed. One note though; Mist uses (is bundled with?) Geth 1.6.0 whereas I have Geth 1.6.1 installed.

When I type > geth --testnet --fast console, I fail to sync the testnet. After some block, I start to get only messages like this (copied from here):

WARN [04-21|17:40:40] Ancestor below allowance peer=20c9ad97c081d633 number=647267 hash=000000…000000 allowance=647267 WARN [04-21|17:40:40] Synchronisation failed, dropping peer peer=20c9ad97c081d633 err="retrieved ancestor is invalid"

However, when I close this terminal (remove chain data) and start Mist and click "Use the test network", it syncs with Ropsten correctly. Is Mist passing other flags that I need to use too? Or is it just a problem with Geth 1.6.1?

Thanks,

  • I see only warnings in the log. Do you have any error messages? – Igor Barinov May 18 '17 at 12:32
  • @IgorBarinov No, but after these warnings, the peers drop so it cannot continue syncing. – jeff May 18 '17 at 12:33
  • I see, and no more error messages? You know there is an ancient logic trick "after this, therefore because of this" – Igor Barinov May 18 '17 at 12:43
  • OK, I will check in more detail. Hopefully I will update again in a few hours. Thanks – jeff May 18 '17 at 12:56

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.